Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch
Class DefaultLocalSearchSolverPhase

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhase
          org.drools.planner.core.localsearch.DefaultLocalSearchSolverPhase

All Implemented Interfaces:
  EventListener, LocalSearchSolverPhaseLifecycleListener, LocalSearchSolverPhase, SolverPhaseLifecycleListener, SolverPhase, SolverLifecycleListener

    public class DefaultLocalSearchSolverPhase

extends AbstractSolverPhase
implements LocalSearchSolverPhase, LocalSearchSolverPhaseLifecycleListener

Default implementation of `LocalSearchSolverPhase`.

Field Summary
`protected boolean` | `assertStepScoreIsUncorrupted`
`protected Decider` | `decider`

Fields inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`bestSolutionRecaller, logger, phaseIndex, solverPhaseLifecycleSupport, termination`

Constructor Summary
`DefaultLocalSearchSolverPhase()`

Method Summary
`Decider` | `getDecider()`
`void` | `phaseEnded(LocalSearchSolverPhaseScope phaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope phaseScope)`
`void` | `setAssertStepScoreIsUncorrupted(boolean assertStepScoreIsUncorrupted)`
`void` | `setDecider(Decider decider)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(LocalSearchStepScope stepScope)`
`void` | `stepStarted(LocalSearchStepScope stepScope)`

Methods inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`addSolverPhaseLifecycleListener, getPhaseIndex, getTermination, phaseEnded, phaseStarted, removeSolverPhaseLifecycleListener, setBestSolutionRecaller, setPhaseIndex, setTermination, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.phase.SolverPhase
`addSolverPhaseLifecycleListener, removeSolverPhaseLifecycleListener`

Methods inherited from interface org.drools.planner.core.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Field Detail

### decider

    protected Decider decider

### assertStepScoreIsUncorrupted

    protected boolean assertStepScoreIsUncorrupted

Constructor Detail

### DefaultLocalSearchSolverPhase

    public DefaultLocalSearchSolverPhase()

Method Detail

### getDecider

    public Decider getDecider()

### setDecider

    public void setDecider(Decider decider)

### setAssertStepScoreIsUncorrupted

    public void setAssertStepScoreIsUncorrupted(boolean assertStepScoreIsUncorrupted)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `SolverPhase`

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractSolverPhase`

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepStarted

    public void stepStarted(LocalSearchStepScope stepScope)

  Specified by:
    `stepStarted` in interface `LocalSearchSolverPhaseLifecycleListener`

### stepEnded

    public void stepEnded(LocalSearchStepScope stepScope)

  Specified by:
    `stepEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractSolverPhase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.